<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::avsCommon::utils::configuration::test Namespace Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common.html">avsCommon</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils.html">utils</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1configuration.html">configuration</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1configuration_1_1test.html">test</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::avsCommon::utils::configuration::test Namespace Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1configuration_1_1test_1_1_configuration_node_test.html">ConfigurationNodeTest</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a87b407d96cf3995d966260c49a4839be"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1configuration_1_1test.html#a87b407d96cf3995d966260c49a4839be">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1configuration_1_1test_1_1_configuration_node_test.html">ConfigurationNodeTest</a>, test_initializationAndAccess)</td></tr>
<tr class="separator:a87b407d96cf3995d966260c49a4839be"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:aacb452b8895178a51d2a7dd0492e4457"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1configuration_1_1test.html#aacb452b8895178a51d2a7dd0492e4457">NON_OBJECT</a> = &quot;non-existent-object&quot;</td></tr>
<tr class="memdesc:aacb452b8895178a51d2a7dd0492e4457"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name of non-existent object for exercising failure to find a <code><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1configuration_1_1_configuration_node.html">ConfigurationNode</a></code>.  <a href="#aacb452b8895178a51d2a7dd0492e4457">More...</a><br /></td></tr>
<tr class="separator:aacb452b8895178a51d2a7dd0492e4457"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aac8f7f8ffeb9e659de3b6da5f98befbd"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1configuration_1_1test.html#aac8f7f8ffeb9e659de3b6da5f98befbd">OBJECT1</a> = &quot;object1&quot;</td></tr>
<tr class="memdesc:aac8f7f8ffeb9e659de3b6da5f98befbd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name of first root level object.  <a href="#aac8f7f8ffeb9e659de3b6da5f98befbd">More...</a><br /></td></tr>
<tr class="separator:aac8f7f8ffeb9e659de3b6da5f98befbd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5cc82a1c0f48b109caed8f02bb44dee5"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1configuration_1_1test.html#a5cc82a1c0f48b109caed8f02bb44dee5">BOOL1_1</a> = &quot;bool1.1&quot;</td></tr>
<tr class="memdesc:a5cc82a1c0f48b109caed8f02bb44dee5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name of first bool value in first root level object.  <a href="#a5cc82a1c0f48b109caed8f02bb44dee5">More...</a><br /></td></tr>
<tr class="separator:a5cc82a1c0f48b109caed8f02bb44dee5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0876ebdfa5159eeaf35db4934a5067d8"><td class="memItemLeft" align="right" valign="top">static const bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1configuration_1_1test.html#a0876ebdfa5159eeaf35db4934a5067d8">BOOL_VALUE1_1</a> = true</td></tr>
<tr class="memdesc:a0876ebdfa5159eeaf35db4934a5067d8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Value of first bool value in first root level object.  <a href="#a0876ebdfa5159eeaf35db4934a5067d8">More...</a><br /></td></tr>
<tr class="separator:a0876ebdfa5159eeaf35db4934a5067d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:affcf45a6f3476dcba382a47a144cdbc6"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1configuration_1_1test.html#affcf45a6f3476dcba382a47a144cdbc6">OBJECT1_1</a> = &quot;object1.1&quot;</td></tr>
<tr class="memdesc:affcf45a6f3476dcba382a47a144cdbc6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name of first object inside first root level object.  <a href="#affcf45a6f3476dcba382a47a144cdbc6">More...</a><br /></td></tr>
<tr class="separator:affcf45a6f3476dcba382a47a144cdbc6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a17948403bd1418ab91e5164a073bbd41"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1configuration_1_1test.html#a17948403bd1418ab91e5164a073bbd41">STRING1_1_1</a> = &quot;string1.1.1&quot;</td></tr>
<tr class="memdesc:a17948403bd1418ab91e5164a073bbd41"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name of first string value in first object inside first root level object.  <a href="#a17948403bd1418ab91e5164a073bbd41">More...</a><br /></td></tr>
<tr class="separator:a17948403bd1418ab91e5164a073bbd41"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa7b30c531c7724fa2833d6d09a56aec3"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1configuration_1_1test.html#aa7b30c531c7724fa2833d6d09a56aec3">STRING_VALUE1_1_1</a> = &quot;stringValue1.1.1&quot;</td></tr>
<tr class="memdesc:aa7b30c531c7724fa2833d6d09a56aec3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Value of first string value in first object inside first root level object.  <a href="#aa7b30c531c7724fa2833d6d09a56aec3">More...</a><br /></td></tr>
<tr class="separator:aa7b30c531c7724fa2833d6d09a56aec3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad4b30f73e11c961daaaca3c57eac239f"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1configuration_1_1test.html#ad4b30f73e11c961daaaca3c57eac239f">OBJECT2</a> = &quot;object2&quot;</td></tr>
<tr class="memdesc:ad4b30f73e11c961daaaca3c57eac239f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name of second root level object.  <a href="#ad4b30f73e11c961daaaca3c57eac239f">More...</a><br /></td></tr>
<tr class="separator:ad4b30f73e11c961daaaca3c57eac239f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a16a84f9cfaaa0d68fc37f22a7b2ba308"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1configuration_1_1test.html#a16a84f9cfaaa0d68fc37f22a7b2ba308">STRING2_1</a> = &quot;string2.1&quot;</td></tr>
<tr class="memdesc:a16a84f9cfaaa0d68fc37f22a7b2ba308"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name of first string in second root level object.  <a href="#a16a84f9cfaaa0d68fc37f22a7b2ba308">More...</a><br /></td></tr>
<tr class="separator:a16a84f9cfaaa0d68fc37f22a7b2ba308"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a23828bb2c8a68eb42f6accf6d03393fb"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1configuration_1_1test.html#a23828bb2c8a68eb42f6accf6d03393fb">NEW_STRING_VALUE2_1</a> = &quot;new-stringValue2.1&quot;</td></tr>
<tr class="memdesc:a23828bb2c8a68eb42f6accf6d03393fb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Replaced value of first string in second root level object.  <a href="#a23828bb2c8a68eb42f6accf6d03393fb">More...</a><br /></td></tr>
<tr class="separator:a23828bb2c8a68eb42f6accf6d03393fb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3ddda1bb901a6dc9e739513a800df055"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1configuration_1_1test.html#a3ddda1bb901a6dc9e739513a800df055">NON_EXISTENT_INT2_1</a> = &quot;non-existent-int2.1&quot;</td></tr>
<tr class="memdesc:a3ddda1bb901a6dc9e739513a800df055"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name for non-existent int value in second root level object.  <a href="#a3ddda1bb901a6dc9e739513a800df055">More...</a><br /></td></tr>
<tr class="separator:a3ddda1bb901a6dc9e739513a800df055"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a986281f32e1cc38b6613536268db49a5"><td class="memItemLeft" align="right" valign="top">static const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1configuration_1_1test.html#a986281f32e1cc38b6613536268db49a5">NON_EXISTENT_INT_VALUE2_1</a> = 123</td></tr>
<tr class="memdesc:a986281f32e1cc38b6613536268db49a5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default value for non-existent int value in second root level object.  <a href="#a986281f32e1cc38b6613536268db49a5">More...</a><br /></td></tr>
<tr class="separator:a986281f32e1cc38b6613536268db49a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9779a107e7e08b53a1e7b940c9e8ce65"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1configuration_1_1test.html#a9779a107e7e08b53a1e7b940c9e8ce65">INT2_1</a> = &quot;int2.1&quot;</td></tr>
<tr class="memdesc:a9779a107e7e08b53a1e7b940c9e8ce65"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name of first int value in second root level object.  <a href="#a9779a107e7e08b53a1e7b940c9e8ce65">More...</a><br /></td></tr>
<tr class="separator:a9779a107e7e08b53a1e7b940c9e8ce65"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aff1a80a7e72b851ac66a3a2e6228078c"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1configuration_1_1test.html#aff1a80a7e72b851ac66a3a2e6228078c">OBJECT2_1</a> = &quot;object2.1&quot;</td></tr>
<tr class="memdesc:aff1a80a7e72b851ac66a3a2e6228078c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name of first object inside second root level object.  <a href="#aff1a80a7e72b851ac66a3a2e6228078c">More...</a><br /></td></tr>
<tr class="separator:aff1a80a7e72b851ac66a3a2e6228078c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6e565496d753bb86438b796c5ebca02b"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1configuration_1_1test.html#a6e565496d753bb86438b796c5ebca02b">STRING2_1_1</a> = &quot;string2.1.1&quot;</td></tr>
<tr class="memdesc:a6e565496d753bb86438b796c5ebca02b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name of first string inside first object inside second root level object.  <a href="#a6e565496d753bb86438b796c5ebca02b">More...</a><br /></td></tr>
<tr class="separator:a6e565496d753bb86438b796c5ebca02b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af62e2435aa1dfbace7047b8c0b25a56e"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1configuration_1_1test.html#af62e2435aa1dfbace7047b8c0b25a56e">NEW_STRING_VALUE2_1_1</a> = &quot;new-stringValue2.1.1&quot;</td></tr>
<tr class="memdesc:af62e2435aa1dfbace7047b8c0b25a56e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Replaced value of first string inside first object inside second root level object.  <a href="#af62e2435aa1dfbace7047b8c0b25a56e">More...</a><br /></td></tr>
<tr class="separator:af62e2435aa1dfbace7047b8c0b25a56e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adcedece7305277a837d34c29a7a22d90"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1configuration_1_1test.html#adcedece7305277a837d34c29a7a22d90">BAD_JSON</a> = &quot;{ bad json }&quot;</td></tr>
<tr class="memdesc:adcedece7305277a837d34c29a7a22d90"><td class="mdescLeft">&#160;</td><td class="mdescRight">Bad JSON string to verify handling the failure to parse JSON.  <a href="#adcedece7305277a837d34c29a7a22d90">More...</a><br /></td></tr>
<tr class="separator:adcedece7305277a837d34c29a7a22d90"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a03b2dbf060bc47dd3d05187ff492dcf5"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1configuration_1_1test.html#a03b2dbf060bc47dd3d05187ff492dcf5">ARRAY_OBJECT</a> = &quot;arrayObject&quot;</td></tr>
<tr class="memdesc:a03b2dbf060bc47dd3d05187ff492dcf5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name of array root level object.  <a href="#a03b2dbf060bc47dd3d05187ff492dcf5">More...</a><br /></td></tr>
<tr class="separator:a03b2dbf060bc47dd3d05187ff492dcf5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac8c19db8451dce71c885090bcec28120"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1configuration_1_1test.html#ac8c19db8451dce71c885090bcec28120">FIRST_JSON</a></td></tr>
<tr class="memdesc:ac8c19db8451dce71c885090bcec28120"><td class="mdescLeft">&#160;</td><td class="mdescRight">First JSON string to parse, serving as default for configuration values.  <a href="#ac8c19db8451dce71c885090bcec28120">More...</a><br /></td></tr>
<tr class="separator:ac8c19db8451dce71c885090bcec28120"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a97be25a28ff0c64a0b61b7636509c247"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1configuration_1_1test.html#a97be25a28ff0c64a0b61b7636509c247">SECOND_JSON</a></td></tr>
<tr class="memdesc:a97be25a28ff0c64a0b61b7636509c247"><td class="mdescLeft">&#160;</td><td class="mdescRight">Second JSON string to parse, overlaying configuration values from FIRST_JSON.  <a href="#a97be25a28ff0c64a0b61b7636509c247">More...</a><br /></td></tr>
<tr class="separator:a97be25a28ff0c64a0b61b7636509c247"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a39cbf1a0d48cc5a012188acfb1d73f40"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1configuration_1_1test.html#a39cbf1a0d48cc5a012188acfb1d73f40">THIRD_JSON</a></td></tr>
<tr class="memdesc:a39cbf1a0d48cc5a012188acfb1d73f40"><td class="mdescLeft">&#160;</td><td class="mdescRight">Third JSON string to parse, overlaying configuration values from FIRST_JSON and SECOND_JSON.  <a href="#a39cbf1a0d48cc5a012188acfb1d73f40">More...</a><br /></td></tr>
<tr class="separator:a39cbf1a0d48cc5a012188acfb1d73f40"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a7e2b0be7a28abee95ce367d38ed606"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1configuration_1_1test.html#a9a7e2b0be7a28abee95ce367d38ed606">ARRAY_JSON</a></td></tr>
<tr class="memdesc:a9a7e2b0be7a28abee95ce367d38ed606"><td class="mdescLeft">&#160;</td><td class="mdescRight">A JSON string to test array.  <a href="#a9a7e2b0be7a28abee95ce367d38ed606">More...</a><br /></td></tr>
<tr class="separator:a9a7e2b0be7a28abee95ce367d38ed606"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a87b407d96cf3995d966260c49a4839be"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a87b407d96cf3995d966260c49a4839be">&#9670;&nbsp;</a></span>TEST_F()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::avsCommon::utils::configuration::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1configuration_1_1test_1_1_configuration_node_test.html">ConfigurationNodeTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_initializationAndAccess&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Verify initialization a configuration. Verify both the implementation of accessor methods and the results of merging JSON streams. </p>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a9a7e2b0be7a28abee95ce367d38ed606"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9a7e2b0be7a28abee95ce367d38ed606">&#9670;&nbsp;</a></span>ARRAY_JSON</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::avsCommon::utils::configuration::test::ARRAY_JSON</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">= R<span class="stringliteral">&quot;(</span></div><div class="line"><span class="stringliteral">    {</span></div><div class="line"><span class="stringliteral">        &quot;arrayObject&quot; : [</span></div><div class="line"><span class="stringliteral">            {</span></div><div class="line"><span class="stringliteral">                &quot;object2.1&quot; : &quot;new-stringValue2.1&quot;</span></div><div class="line"><span class="stringliteral">            },</span></div><div class="line"><span class="stringliteral">            {</span></div><div class="line"><span class="stringliteral">                &quot;object2.1&quot; : &quot;new-stringValue2.1.1&quot;</span></div><div class="line"><span class="stringliteral">            }</span></div><div class="line"><span class="stringliteral">        ]</span></div><div class="line"><span class="stringliteral">    })&quot;</span></div></div><!-- fragment -->
<p>A JSON string to test array. </p>

</div>
</div>
<a id="a03b2dbf060bc47dd3d05187ff492dcf5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a03b2dbf060bc47dd3d05187ff492dcf5">&#9670;&nbsp;</a></span>ARRAY_OBJECT</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::avsCommon::utils::configuration::test::ARRAY_OBJECT = &quot;arrayObject&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Name of array root level object. </p>

</div>
</div>
<a id="adcedece7305277a837d34c29a7a22d90"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adcedece7305277a837d34c29a7a22d90">&#9670;&nbsp;</a></span>BAD_JSON</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::avsCommon::utils::configuration::test::BAD_JSON = &quot;{ bad json }&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Bad JSON string to verify handling the failure to parse JSON. </p>

</div>
</div>
<a id="a5cc82a1c0f48b109caed8f02bb44dee5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5cc82a1c0f48b109caed8f02bb44dee5">&#9670;&nbsp;</a></span>BOOL1_1</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::avsCommon::utils::configuration::test::BOOL1_1 = &quot;bool1.1&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Name of first bool value in first root level object. </p>

</div>
</div>
<a id="a0876ebdfa5159eeaf35db4934a5067d8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0876ebdfa5159eeaf35db4934a5067d8">&#9670;&nbsp;</a></span>BOOL_VALUE1_1</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const bool alexaClientSDK::avsCommon::utils::configuration::test::BOOL_VALUE1_1 = true</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Value of first bool value in first root level object. </p>

</div>
</div>
<a id="ac8c19db8451dce71c885090bcec28120"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac8c19db8451dce71c885090bcec28120">&#9670;&nbsp;</a></span>FIRST_JSON</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::avsCommon::utils::configuration::test::FIRST_JSON</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">= R<span class="stringliteral">&quot;(</span></div><div class="line"><span class="stringliteral">    {</span></div><div class="line"><span class="stringliteral">        &quot;object1&quot; : {</span></div><div class="line"><span class="stringliteral">            &quot;bool1.1&quot; : true</span></div><div class="line"><span class="stringliteral">        },</span></div><div class="line"><span class="stringliteral">        &quot;object2&quot; : {</span></div><div class="line"><span class="stringliteral">            &quot;int2.1&quot; : 21,</span></div><div class="line"><span class="stringliteral">            &quot;string2.1&quot; : &quot;stringValue2.1&quot;,</span></div><div class="line"><span class="stringliteral">            &quot;object2.1&quot; : {</span></div><div class="line"><span class="stringliteral">                &quot;string2.1.1&quot; : &quot;stringValue2.1.1&quot;</span></div><div class="line"><span class="stringliteral">            }</span></div><div class="line"><span class="stringliteral">        }</span></div><div class="line"><span class="stringliteral">    })&quot;</span></div></div><!-- fragment -->
<p>First JSON string to parse, serving as default for configuration values. </p>

</div>
</div>
<a id="a9779a107e7e08b53a1e7b940c9e8ce65"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9779a107e7e08b53a1e7b940c9e8ce65">&#9670;&nbsp;</a></span>INT2_1</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::avsCommon::utils::configuration::test::INT2_1 = &quot;int2.1&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Name of first int value in second root level object. </p>

</div>
</div>
<a id="a23828bb2c8a68eb42f6accf6d03393fb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a23828bb2c8a68eb42f6accf6d03393fb">&#9670;&nbsp;</a></span>NEW_STRING_VALUE2_1</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::avsCommon::utils::configuration::test::NEW_STRING_VALUE2_1 = &quot;new-stringValue2.1&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Replaced value of first string in second root level object. </p>

</div>
</div>
<a id="af62e2435aa1dfbace7047b8c0b25a56e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af62e2435aa1dfbace7047b8c0b25a56e">&#9670;&nbsp;</a></span>NEW_STRING_VALUE2_1_1</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::avsCommon::utils::configuration::test::NEW_STRING_VALUE2_1_1 = &quot;new-stringValue2.1.1&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Replaced value of first string inside first object inside second root level object. </p>

</div>
</div>
<a id="a3ddda1bb901a6dc9e739513a800df055"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3ddda1bb901a6dc9e739513a800df055">&#9670;&nbsp;</a></span>NON_EXISTENT_INT2_1</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::avsCommon::utils::configuration::test::NON_EXISTENT_INT2_1 = &quot;non-existent-int2.1&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Name for non-existent int value in second root level object. </p>

</div>
</div>
<a id="a986281f32e1cc38b6613536268db49a5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a986281f32e1cc38b6613536268db49a5">&#9670;&nbsp;</a></span>NON_EXISTENT_INT_VALUE2_1</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const int alexaClientSDK::avsCommon::utils::configuration::test::NON_EXISTENT_INT_VALUE2_1 = 123</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Default value for non-existent int value in second root level object. </p>

</div>
</div>
<a id="aacb452b8895178a51d2a7dd0492e4457"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aacb452b8895178a51d2a7dd0492e4457">&#9670;&nbsp;</a></span>NON_OBJECT</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::avsCommon::utils::configuration::test::NON_OBJECT = &quot;non-existent-object&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Name of non-existent object for exercising failure to find a <code><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1configuration_1_1_configuration_node.html">ConfigurationNode</a></code>. </p>

</div>
</div>
<a id="aac8f7f8ffeb9e659de3b6da5f98befbd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aac8f7f8ffeb9e659de3b6da5f98befbd">&#9670;&nbsp;</a></span>OBJECT1</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::avsCommon::utils::configuration::test::OBJECT1 = &quot;object1&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Name of first root level object. </p>

</div>
</div>
<a id="affcf45a6f3476dcba382a47a144cdbc6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#affcf45a6f3476dcba382a47a144cdbc6">&#9670;&nbsp;</a></span>OBJECT1_1</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::avsCommon::utils::configuration::test::OBJECT1_1 = &quot;object1.1&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Name of first object inside first root level object. </p>

</div>
</div>
<a id="ad4b30f73e11c961daaaca3c57eac239f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad4b30f73e11c961daaaca3c57eac239f">&#9670;&nbsp;</a></span>OBJECT2</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::avsCommon::utils::configuration::test::OBJECT2 = &quot;object2&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Name of second root level object. </p>

</div>
</div>
<a id="aff1a80a7e72b851ac66a3a2e6228078c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aff1a80a7e72b851ac66a3a2e6228078c">&#9670;&nbsp;</a></span>OBJECT2_1</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::avsCommon::utils::configuration::test::OBJECT2_1 = &quot;object2.1&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Name of first object inside second root level object. </p>

</div>
</div>
<a id="a97be25a28ff0c64a0b61b7636509c247"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a97be25a28ff0c64a0b61b7636509c247">&#9670;&nbsp;</a></span>SECOND_JSON</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::avsCommon::utils::configuration::test::SECOND_JSON</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">= R<span class="stringliteral">&quot;(</span></div><div class="line"><span class="stringliteral">    {</span></div><div class="line"><span class="stringliteral">        &quot;object1&quot; : {</span></div><div class="line"><span class="stringliteral">            &quot;object1.1&quot; : {</span></div><div class="line"><span class="stringliteral">                &quot;string1.1.1&quot; : &quot;stringValue1.1.1&quot;</span></div><div class="line"><span class="stringliteral">            },</span></div><div class="line"><span class="stringliteral">            &quot;int1.1&quot; : 11</span></div><div class="line"><span class="stringliteral">        }</span></div><div class="line"><span class="stringliteral">    })&quot;</span></div></div><!-- fragment -->
<p>Second JSON string to parse, overlaying configuration values from FIRST_JSON. </p>

</div>
</div>
<a id="a17948403bd1418ab91e5164a073bbd41"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a17948403bd1418ab91e5164a073bbd41">&#9670;&nbsp;</a></span>STRING1_1_1</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::avsCommon::utils::configuration::test::STRING1_1_1 = &quot;string1.1.1&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Name of first string value in first object inside first root level object. </p>

</div>
</div>
<a id="a16a84f9cfaaa0d68fc37f22a7b2ba308"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a16a84f9cfaaa0d68fc37f22a7b2ba308">&#9670;&nbsp;</a></span>STRING2_1</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::avsCommon::utils::configuration::test::STRING2_1 = &quot;string2.1&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Name of first string in second root level object. </p>

</div>
</div>
<a id="a6e565496d753bb86438b796c5ebca02b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6e565496d753bb86438b796c5ebca02b">&#9670;&nbsp;</a></span>STRING2_1_1</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::avsCommon::utils::configuration::test::STRING2_1_1 = &quot;string2.1.1&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Name of first string inside first object inside second root level object. </p>

</div>
</div>
<a id="aa7b30c531c7724fa2833d6d09a56aec3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa7b30c531c7724fa2833d6d09a56aec3">&#9670;&nbsp;</a></span>STRING_VALUE1_1_1</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::avsCommon::utils::configuration::test::STRING_VALUE1_1_1 = &quot;stringValue1.1.1&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Value of first string value in first object inside first root level object. </p>

</div>
</div>
<a id="a39cbf1a0d48cc5a012188acfb1d73f40"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a39cbf1a0d48cc5a012188acfb1d73f40">&#9670;&nbsp;</a></span>THIRD_JSON</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::avsCommon::utils::configuration::test::THIRD_JSON</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">= R<span class="stringliteral">&quot;(</span></div><div class="line"><span class="stringliteral">    {</span></div><div class="line"><span class="stringliteral">        &quot;object2&quot; : {</span></div><div class="line"><span class="stringliteral">            &quot;int2.1&quot; : 21,</span></div><div class="line"><span class="stringliteral">            &quot;string2.1&quot; : &quot;new-stringValue2.1&quot;,</span></div><div class="line"><span class="stringliteral">            &quot;object2.1&quot; : {</span></div><div class="line"><span class="stringliteral">                &quot;string2.1.1&quot; : &quot;new-stringValue2.1.1&quot;</span></div><div class="line"><span class="stringliteral">            }</span></div><div class="line"><span class="stringliteral">        }</span></div><div class="line"><span class="stringliteral">    })&quot;</span></div></div><!-- fragment -->
<p>Third JSON string to parse, overlaying configuration values from FIRST_JSON and SECOND_JSON. </p>

</div>
</div>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
